#{extends 'borderNG.html' /}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'kontrakpl.paketppk'}</a></li>
	<li class="active">&{'kontrakpl.formsuratmulaikerja'}</li>
</ol>
<div class="content">
#{alert /}
#{form @kontrak.SppPlCtr.simpanSuratPesananPl(sppbj.sppbj_id, kontrakx.kontrak_id), name:'formPesanan', enctype:"multipart/form-data", method:'POST'}
  	<table class="table table-sm">
  	#{if pesananx?.pes_id!=null}
  	<input type="hidden" name="pesanan.pes_id" value="${pesananx?.pes_id}">
  	<input type="hidden" name="pesanan.kontrak_id" value="${pesananx?.kontrak_id}">
  	#{/if}
  	<div class="bs-callout bs-callout-info"><strong>Informasi Paket</strong></div>
  		 <table class="table table-sm">
        <tr>
            <td width="250px">Kode Tender</td>
            <td>${pl?.lls_id}</td>
        </tr>

        <tr>
            <td class="name">Nama Tender</td>
            <td>${pl?.paket?.pkt_nama}</td>
        </tr>
  	 </table>
  	</table>


<div class="bs-callout bs-callout-info"><strong>Form Surat Perintah Mulai Kerja (SPMK)</strong></div>
	 <table class="table table-sm">
	 		<tr >
				<td  width="250">No. SPMK<span class="error"> *</span></td>
				<td>
					<input type="text" class="form-control  #{validate 'pesanan.pes_no'/}" id="noSuratPesanan" name="pesanan.pes_no" value="${flash.contains('pesanan.pes_no')?flash['pesanan.pes_no']:pesananx?.pes_no}"/>
					<div class="invalid-feedback">#{error 'pesanan.pes_no' /}</div>
				</td>
			</tr>
			
			
			<tr > 
				<td >Tanggal SPMK<span class="warning"> *</span></td>
				<td>
					<div class=" input-group date width-normal datepicker">
						<input name="pesanan.pes_tgl" value="${flash.contains('pesanan.pes_tgl')?flash['pesanan.pes_tgl']:pesananx?.pes_tgl?.toDatepicker()}" 
						type="text" class="form-control datepicker #{validate 'pesanan.pes_tgl'/}"/>
						<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
						<div class="invalid-feedback">#{error 'pesanan.pes_tgl' /}</div>
            		</div> 

				</td>
			</tr>
			<tr >
				<td >No Surat Perjanjian: </td>
				<td >
					${kontrakx?.kontrak_no}
				</td>
			</tr>
			<tr >
				<td >Tgl Surat Perjanjian: </td>
				<td >
					${kontrakx?.kontrak_tanggal?.formatDate()}
					
				</td>
			</tr>
			<tr >
				<!-- <td >Tgl Barang Diterima: </td> -->
                <td>Tanggal Mulai Kerja <span class="error">*</span></td>
                <td>
                    <div class=" input-group date width-normal datepicker">
						<input name="tgl_diterima" value="${flash.contains('tgl_diterima')?flash['tgl_diterima']:content?.tgl_brng_diterima?.toDatepicker()}" type="text" 
						class="form-control datepicker #{validate 'tgl_diterima'/}"/>
						<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
						<div class="invalid-feedback">#{error 'tgl_diterima' /}</div>
					</div>

				</td>
			</tr>
			<tr >
                <td >Waktu Penyelesaian <span class="error">*</span></td>
                <td>
                    <input type="text" class="form-control  #{validate 'content.waktu_penyelesaian'/}"  name="content.waktu_penyelesaian" value="${flash.contains('content.waktu_penyelesaian')?flash['content.waktu_penyelesaian']:content?.waktu_penyelesaian}" placeholder="Contoh Pengisian: 30 hari kalender, 2 bulan, 2 tahun"/>
                    <div class="invalid-feedback">#{error 'content.waktu_penyelesaian' /}</div>
                </td>
			</tr>
			<tr >
                <td >Tanggal Selesai Pekerjaan <span class="error">*</span></td>
                <td>
                    <div class=" input-group date width-normal datepicker">
						<input name="tgl_selesai" value="${flash.contains('tgl_selesai')?flash['tgl_selesai']:content?.tgl_pekerjaan_selesai?.toDatepicker()}" type="text" 
						class="form-control datepicker #{validate 'tgl_selesai'/}"/>
						<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
						<div class="invalid-feedback">#{error 'tgl_selesai' /}</div>
					</div>
                </td>
			</tr>
			<tr >
                <td>Kota SPMK <span class="error">*</span></td>
                <td>
                    <input type="text" class="form-control  #{validate 'content.kota_pesanan'/}" name="content.kota_pesanan" value="${flash.contains('content.kota_pesanan')?flash['content.kota_pesanan']:content?.kota_pesanan}"/>
                    <div class="invalid-feedback">#{error 'content.kota_pesanan' /}</div>
                </td>
			</tr>
	 </table>

<div class="bs-callout bs-callout-info"><strong>Pihak Pertama</strong></div>
	<table class="table table-sm">
			<tr >
				<td width="250px" class="name">Nama PPK: </td>
				<td >
					${pegawai.peg_nama}
				</td>
			</tr>
			
			<tr>
				<td>Jabatan PPK</td>
				<td>
					${ppk?.ppk_pembuat_sk}
				</td>
			</tr>
			
			<tr >
				<td class="name">NIP PPK: </td>
				<td >
					${pegawai.peg_nip}
				</td>
			</tr>
			
			<tr >
				<td class="name">Nama Satuan Kerja: </td>
				<td >
					${pl?.paket?.getNamaSatker()}
				</td>
			</tr>
			
			<tr >
				<td class="name">Alamat Satuan Kerja: </td>
				<td >
					${sppbj?.alamat_satker}
				</td>
			</tr>
			
	</table>
	<div class="bs-callout bs-callout-info"><strong>Pihak Kedua</strong></div>
	<table class="table table-sm">
			<tr >
				<td width="250px" class="name">Nama Pemenang</td>
				<td >
					${kontrakx?.rekanan?.rkn_nama}
				</td>
			</tr>
			
			<tr >
				<td  class="name">Alamat Pemenang</td>
				<td >
					${kontrakx?.rekanan?.rkn_alamat}
				</td>
			</tr>
<!-- 			value="${flash.contains('content.wakil_sah_rekanan')?flash['content.wakil_sah_rekanan']:content?.wakil_sah_rekanan}" -->
			<tr >
                <td class="name" >Wakil Sah Penyedia <span class="error">*</span></td>
                <td>
                    <input type="text" class="form-control  #{validate 'content.wakil_sah_rekanan'/}"  name="content.wakil_sah_rekanan" value="${flash.contains('content.wakil_sah_rekanan')?flash['content.wakil_sah_rekanan']:content?.wakil_sah_rekanan}"/>
                    <div class="invalid-feedback">#{error 'content.wakil_sah_rekanan' /}</div>
				</td>
			</tr>
			
			<tr >
                <td  class="name">Jabatan Wakil Penyedia <span class="error">*</span></td>
                <td>
<!--                 value="${flash.contains('content.jabatan_wakil_rekanan')?flash['content.jabatan_wakil_rekanan']:content?.jabatan_wakil_rekanan}" -->
					<input type="text" class="form-control  #{validate 'content.jabatan_wakil_rekanan'/}"  name="content.jabatan_wakil_rekanan" value="${flash.contains('content.jabatan_wakil_rekanan')?flash['content.jabatan_wakil_rekanan']:content?.jabatan_wakil_rekanan}"/>
                    <div class="invalid-feedback">#{error 'content.jabatan_wakil_rekanan' /}</div>
				</td>
			</tr>
			
	</table>
	
	
	#{if pesananx?.pes_id}
	
<div class="bs-callout bs-callout-info"><strong>Dokumen SPMK</strong></div>
<div class="bs-callout bs-callout-warning">
 <p> Dokumen yang dapat di upload hanya file/dokumen yang memiliki ekstensi <b>*.doc, *.docx, *.xls, *.xlsx, *.pdf, *.jpg, *.jpeg, *.png, *.zip atau *.rar.</b></p>
 </div>
<table class="table table-sm">
<tr >
			<td width="250px" class="name">Dokumen Cetak</td>
			<td >
				<div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
					<i class="fa fa-plus-circle"></i>
					<span>Upload</span>
					<input id="fileupload" type="file" name="file" />
				</div>
				<div id="progress" class="progress" style="display: none;">
					<div class="progress-bar progress-bar-success"></div>
				</div>
				<div id="alert-upload"></div>
				<input type="hidden" id="id_attachment" name="pesanan.pes_attachment" value="${pesananx?.pes_attachment}" />
				<table class="table table-sm table-striped"" id="files">
					<thead>
					<th>&{'kontrakpl.nfile'}</th>
					<th>&{'kontrakpl.tup'}</th>
					<th>&{'kontrakpl.aksi'}</th>
					</thead>
					<tbody>
						#{list items:pesananx?.dokumen, as:'dok'}
						<tr>
							<td>#{download dok/}</td>
							<td>${dok?.blb_date_time?.formatDateTime()}</td>
							<td><a href="javascript:void(0)" title="Hapus" class="removeDok" versi="${dok.blb_versi}">
								<i class="fa fa-trash-o"></i></a>
							</td>
						</tr>
						#{/list}
					</tbody>
				</table>
			</td>
			</tr>
			
			</table>
#{/if}
<table class="table table-sm">
<tr>
<div id="alert-upload"></div>
				<td colspan="3">
				<button type="submit" name="simpan"  class="btn btn-success"><i class="fa fa-save"></i> &{'kontrakpl.simpan'}</button>
					#{if pesananx?.pes_id}
					<a href="@{nonlelang.KontrakPlCtr.cetakPesananPl(sppbj.sppbj_id, kontrakx.kontrak_id, pesananx.pes_id)}" class="btn btn-primary" ><i class="fa fa-print"></i> &{'kontrakpl.cetak'}</a>
					<a href="@{nonlelang.KontrakPlCtr.hapusPesananPl(sppbj.sppbj_id, kontrakx.kontrak_id, pesananx.pes_id)}" class="btn btn-danger" ><i class="fa fa-trash-o fa-lg"></i> &{'kontrakpl.hapus'}</a>
					#{/if}
						<a href="@{nonlelang.KontrakPlCtr.listSppbjPl(sppbj.lls_id)}"  class="btn btn-default">&{'kontrakpl.kembali'}  </a>
	</td>
			</tr>
				<div class="bs-callout bs-callout-warning">
       			 <span class="warning">*</span> Wajib diisi.
    		</div>
</table>
#{/form}

</div>




#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
	
	<script type="text/javascript">
	 $(document).ready(function () {
	        var tgl = '${todayDate}';
	        $(".form-control.tgl").focus(function (ev) {
	            var vval = $(this).val();
	            if(vval == ""){
	                $(this).val(tgl);
	                $(this).keyup();
	            }
	        });

	        $(".form-control.tgl").focusout(function (ev) {
	            var vval = $(this).val();
	            if(vval == ""){
	                $(this).val(tgl);
	                $(this).keyup();
	            }
	        });

	        $('.fa.fa-calendar').click(function () {
	            var top = $(this).parent().parent();
	            top.find("input").val(tgl).keyup();
	        });
	    });



	 #{if pesananx?.pes_id}
	
		$(document).on('click', '#fileupload', function(){
			var url = '@{kontrak.SppPlCtr.uploadDokPesanan(pesananx?.pes_id)}';
			$('#fileupload').fileupload({
				url: url,
				dataType: 'json',
				acceptFileTypes: /(\.|\/)(doc|docx|xls|xlsx|pdf|jpg|jpeg|png|zip|rar)$/i,
				done: function (e, data) {
					$('#progress').hide();
					if (data.result.success) {
						$.each(data.result.files, function (index, file) {
							var upload_date = file.upload_date;
							var content = '<td>' + file.name + '<td>' + upload_date + '</td><td>' +
									'<a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '">' +
									'<i class="fa fa-trash-o" ></i></a></td>';
							$('#id_attachment').val(file.id);
							$('<tr/>').html(content).appendTo('#files');
						});
						$('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.fbd'}').show();
					} else {
						$('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
					}
				},
				progressall: function (e, data) {
					var progress = parseInt(data.loaded / data.total * 100, 10);
					$('#progress').show();
					$('#progress .progress-bar').css(
							'width',
							progress + '%'
					);
				}
			}).on('fileuploadprocessalways', function (e, data) {
				var file = data.files[data.index];
				if (data.files.error && file.error) {
					var msg = file.name+' - '+file.error
					$('#alert-upload').attr('class', 'alert alert-danger').html(msg).show()
				}
			}).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
		});

		$(document).on('click', '.removeDok', function(){
			var versi = $(this).attr('versi')
			var parent = $(this).parent()
			var source  = #{jsRoute @kontrak.SppPlCtr.hapusDokPesanan(pesananx?.pes_id) /};


			 BootstrapDialog.confirm({
		            title: 'Konfirmasi',
		            message: 'Apakah Anda yakin akan menghapus file ini?',
		            draggable : true,
		            closable : true,
		            callback : function(result){
		                if(result) {


		        			$.ajax({
		        				type: 'POST',
		        				url: source.url(),
		        				data : {'versi': versi},
		        				success : function(){
		        					$('#alert-upload').attr('class', 'alert alert-success').html('File telah terhapus').show();
		        					parent.parent().remove()
		        				},
		        				error : function(){
		        					$('#alert-upload').attr('class', 'alert alert-danger').html('File tidak bisa dihapus').show();
		        				}
		        			})

							
		                }
		            }
		        });
			



			
		});
		#{/if}
	</script>
	
#{/set}